com.google.gwt.event.dom.client

## Interface HasContextMenuHandlers

All Superinterfaces:
  HasHandlers

    public interface HasContextMenuHandlers
    extends HasHandlers

A widget that implements this interface provides registration for `ContextMenuHandler` instances.

### Method Summary

All Methods Instance Methods Abstract Methods
`HandlerRegistration` `addContextMenuHandler(ContextMenuHandler handler)` Adds a `ContextMenuEvent` handler.

### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

`fireEvent`

### Method Detail

#### addContextMenuHandler

    HandlerRegistration addContextMenuHandler(ContextMenuHandler handler)

Adds a `ContextMenuEvent` handler.

Parameters:
  `handler` - the context menu handler
Returns:
  `HandlerRegistration` used to remove this handler